<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: MST_PersonaMast.xml */
/* Generado: 2021-10-06 07:34:51 */

/* Mantenimiento de los registros de la tabla MST_PersonaMast */
abstract class BaseMST_PersonaMastDP extends MST_PersonaMastBV
{
    /* Constructor ( Establece los valores desde un objeto MST_PersonaMastBN ) */
    public function __construct( MST_PersonaMastBN $o_MST_PersonaMastBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_MST_PersonaMastBN ) )
        {
            $this->setByBN( $o_MST_PersonaMastBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto MST_PersonaMastBN */
    public function setByBN( MST_PersonaMastBN $o_MST_PersonaMastBN )
    {
        if ( !is_null( $o_MST_PersonaMastBN->getIdPersona() ) )
        {
            $this->setIdPersona( $o_MST_PersonaMastBN->getIdPersona() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getIdCompania() ) )
        {
            $this->setIdCompania( $o_MST_PersonaMastBN->getIdCompania() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getApellidoPaterno() ) )
        {
            $this->setApellidoPaterno( $o_MST_PersonaMastBN->getApellidoPaterno() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getApellidoMaterno() ) )
        {
            $this->setApellidoMaterno( $o_MST_PersonaMastBN->getApellidoMaterno() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getNombres() ) )
        {
            $this->setNombres( $o_MST_PersonaMastBN->getNombres() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getNombreCompleto() ) )
        {
            $this->setNombreCompleto( $o_MST_PersonaMastBN->getNombreCompleto() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getNombreComercial() ) )
        {
            $this->setNombreComercial( $o_MST_PersonaMastBN->getNombreComercial() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getContacto() ) )
        {
            $this->setContacto( $o_MST_PersonaMastBN->getContacto() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getTipoDocumento() ) )
        {
            $this->setTipoDocumento( $o_MST_PersonaMastBN->getTipoDocumento() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getDocumento() ) )
        {
            $this->setDocumento( $o_MST_PersonaMastBN->getDocumento() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getCodigoBarras() ) )
        {
            $this->setCodigoBarras( $o_MST_PersonaMastBN->getCodigoBarras() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEsCliente() ) )
        {
            $this->setEsCliente( $o_MST_PersonaMastBN->getEsCliente() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEsProveedor() ) )
        {
            $this->setEsProveedor( $o_MST_PersonaMastBN->getEsProveedor() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEsEmpleado() ) )
        {
            $this->setEsEmpleado( $o_MST_PersonaMastBN->getEsEmpleado() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEsOtro() ) )
        {
            $this->setEsOtro( $o_MST_PersonaMastBN->getEsOtro() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getTipoPersona() ) )
        {
            $this->setTipoPersona( $o_MST_PersonaMastBN->getTipoPersona() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getFechaNacimiento() ) )
        {
            $this->setFechaNacimiento( $o_MST_PersonaMastBN->getFechaNacimiento() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getCiudadNacimiento() ) )
        {
            $this->setCiudadNacimiento( $o_MST_PersonaMastBN->getCiudadNacimiento() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getSexo() ) )
        {
            $this->setSexo( $o_MST_PersonaMastBN->getSexo() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getNacionalidad() ) )
        {
            $this->setNacionalidad( $o_MST_PersonaMastBN->getNacionalidad() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getPaisId() ) )
        {
            $this->setPaisId( $o_MST_PersonaMastBN->getPaisId() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getPaisDesc() ) )
        {
            $this->setPaisDesc( $o_MST_PersonaMastBN->getPaisDesc() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEstadoCivil() ) )
        {
            $this->setEstadoCivil( $o_MST_PersonaMastBN->getEstadoCivil() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getNivelInstruccion() ) )
        {
            $this->setNivelInstruccion( $o_MST_PersonaMastBN->getNivelInstruccion() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getDireccion() ) )
        {
            $this->setDireccion( $o_MST_PersonaMastBN->getDireccion() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getCodigoPostal() ) )
        {
            $this->setCodigoPostal( $o_MST_PersonaMastBN->getCodigoPostal() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getProvincia() ) )
        {
            $this->setProvincia( $o_MST_PersonaMastBN->getProvincia() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getDepartamento() ) )
        {
            $this->setDepartamento( $o_MST_PersonaMastBN->getDepartamento() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getDistrito() ) )
        {
            $this->setDistrito( $o_MST_PersonaMastBN->getDistrito() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getTelefono() ) )
        {
            $this->setTelefono( $o_MST_PersonaMastBN->getTelefono() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getCelular() ) )
        {
            $this->setCelular( $o_MST_PersonaMastBN->getCelular() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEmail() ) )
        {
            $this->setEmail( $o_MST_PersonaMastBN->getEmail() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getDireccionWeb() ) )
        {
            $this->setDireccionWeb( $o_MST_PersonaMastBN->getDireccionWeb() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getFax() ) )
        {
            $this->setFax( $o_MST_PersonaMastBN->getFax() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getDocumentoIdentidad() ) )
        {
            $this->setDocumentoIdentidad( $o_MST_PersonaMastBN->getDocumentoIdentidad() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getCarnetExtranjeria() ) )
        {
            $this->setCarnetExtranjeria( $o_MST_PersonaMastBN->getCarnetExtranjeria() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getDocumentoMilitarFA() ) )
        {
            $this->setDocumentoMilitarFA( $o_MST_PersonaMastBN->getDocumentoMilitarFA() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getTipoBrevete() ) )
        {
            $this->setTipoBrevete( $o_MST_PersonaMastBN->getTipoBrevete() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getBrevete() ) )
        {
            $this->setBrevete( $o_MST_PersonaMastBN->getBrevete() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getPasaporte() ) )
        {
            $this->setPasaporte( $o_MST_PersonaMastBN->getPasaporte() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEsAgenteRetenedor() ) )
        {
            $this->setEsAgenteRetenedor( $o_MST_PersonaMastBN->getEsAgenteRetenedor() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getIdRetencion() ) )
        {
            $this->setIdRetencion( $o_MST_PersonaMastBN->getIdRetencion() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEstado() ) )
        {
            $this->setEstado( $o_MST_PersonaMastBN->getEstado() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_MST_PersonaMastBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_MST_PersonaMastBN->getFechaModificacion() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_MST_PersonaMastBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_MST_PersonaMastBN->getFechaCreacion() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getIdUsuario() ) )
        {
            $this->setIdUsuario( $o_MST_PersonaMastBN->getIdUsuario() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getProveedorGuiasFlag() ) )
        {
            $this->setProveedorGuiasFlag( $o_MST_PersonaMastBN->getProveedorGuiasFlag() );
        }
        if ( !is_null( $o_MST_PersonaMastBN->getEmpleadoVendedorFlag() ) )
        {
            $this->setEmpleadoVendedorFlag( $o_MST_PersonaMastBN->getEmpleadoVendedorFlag() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_MST_PersonaMastFN = new MST_PersonaMastFN();
        $o_MST_PersonaMastBN = $o_MST_PersonaMastFN->selectByPk( $this->getIdPersona() );
        if ( is_null( $o_MST_PersonaMastBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO MST_PersonaMast ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getIdPersona() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdPersona";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdPersona()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCompania";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getApellidoPaterno() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ApellidoPaterno";
                $s_SQLQuery2 .= $s_Separator."'".$this->getApellidoPaterno()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getApellidoMaterno() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ApellidoMaterno";
                $s_SQLQuery2 .= $s_Separator."'".$this->getApellidoMaterno()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombres() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Nombres";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNombres()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreCompleto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NombreCompleto";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNombreCompleto()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreComercial() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NombreComercial";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNombreComercial()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getContacto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Contacto";
                $s_SQLQuery2 .= $s_Separator."'".$this->getContacto()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoDocumento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoDocumento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTipoDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Documento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCodigoBarras() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CodigoBarras";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCodigoBarras()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EsCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEsCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsProveedor() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EsProveedor";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEsProveedor()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsEmpleado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EsEmpleado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEsEmpleado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsOtro() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EsOtro";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEsOtro()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoPersona() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoPersona";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTipoPersona()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaNacimiento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaNacimiento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaNacimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCiudadNacimiento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CiudadNacimiento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCiudadNacimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSexo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Sexo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getSexo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNacionalidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Nacionalidad";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNacionalidad()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPaisId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PaisId";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPaisId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPaisDesc() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PaisDesc";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPaisDesc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstadoCivil() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EstadoCivil";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstadoCivil()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNivelInstruccion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NivelInstruccion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNivelInstruccion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDireccion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Direccion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDireccion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCodigoPostal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CodigoPostal";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCodigoPostal()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProvincia() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Provincia";
                $s_SQLQuery2 .= $s_Separator."'".$this->getProvincia()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDepartamento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Departamento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDepartamento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDistrito() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Distrito";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDistrito()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTelefono() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Telefono";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTelefono()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCelular() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Celular";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCelular()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEmail() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Email";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEmail()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDireccionWeb() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DireccionWeb";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDireccionWeb()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFax() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Fax";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFax()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoIdentidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocumentoIdentidad";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumentoIdentidad()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCarnetExtranjeria() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CarnetExtranjeria";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCarnetExtranjeria()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoMilitarFA() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocumentoMilitarFA";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumentoMilitarFA()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoBrevete() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoBrevete";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTipoBrevete()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getBrevete() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Brevete";
                $s_SQLQuery2 .= $s_Separator."'".$this->getBrevete()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPasaporte() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Pasaporte";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPasaporte()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsAgenteRetenedor() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EsAgenteRetenedor";
                $s_SQLQuery2 .= $s_Separator."".$this->getEsAgenteRetenedor()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdRetencion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdRetencion";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdRetencion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUsuario() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdUsuario";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdUsuario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorGuiasFlag() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ProveedorGuiasFlag";
                $s_SQLQuery2 .= $s_Separator."'".$this->getProveedorGuiasFlag()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEmpleadoVendedorFlag() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EmpleadoVendedorFlag";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEmpleadoVendedorFlag()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE MST_PersonaMast SET ";
            $s_Separator = "";
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCompania = ".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getApellidoPaterno() ) )
            {
                $s_SQLQuery .= $s_Separator."ApellidoPaterno = '".$this->getApellidoPaterno()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getApellidoMaterno() ) )
            {
                $s_SQLQuery .= $s_Separator."ApellidoMaterno = '".$this->getApellidoMaterno()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombres() ) )
            {
                $s_SQLQuery .= $s_Separator."Nombres = '".$this->getNombres()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreCompleto() ) )
            {
                $s_SQLQuery .= $s_Separator."NombreCompleto = '".$this->getNombreCompleto()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreComercial() ) )
            {
                $s_SQLQuery .= $s_Separator."NombreComercial = '".$this->getNombreComercial()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getContacto() ) )
            {
                $s_SQLQuery .= $s_Separator."Contacto = '".$this->getContacto()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoDocumento() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoDocumento = '".$this->getTipoDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumento() ) )
            {
                $s_SQLQuery .= $s_Separator."Documento = '".$this->getDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCodigoBarras() ) )
            {
                $s_SQLQuery .= $s_Separator."CodigoBarras = '".$this->getCodigoBarras()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."EsCliente = '".$this->getEsCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsProveedor() ) )
            {
                $s_SQLQuery .= $s_Separator."EsProveedor = '".$this->getEsProveedor()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsEmpleado() ) )
            {
                $s_SQLQuery .= $s_Separator."EsEmpleado = '".$this->getEsEmpleado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsOtro() ) )
            {
                $s_SQLQuery .= $s_Separator."EsOtro = '".$this->getEsOtro()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoPersona() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoPersona = '".$this->getTipoPersona()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaNacimiento() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaNacimiento = '".$this->getFechaNacimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCiudadNacimiento() ) )
            {
                $s_SQLQuery .= $s_Separator."CiudadNacimiento = '".$this->getCiudadNacimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSexo() ) )
            {
                $s_SQLQuery .= $s_Separator."Sexo = '".$this->getSexo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNacionalidad() ) )
            {
                $s_SQLQuery .= $s_Separator."Nacionalidad = '".$this->getNacionalidad()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPaisId() ) )
            {
                $s_SQLQuery .= $s_Separator."PaisId = '".$this->getPaisId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPaisDesc() ) )
            {
                $s_SQLQuery .= $s_Separator."PaisDesc = '".$this->getPaisDesc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstadoCivil() ) )
            {
                $s_SQLQuery .= $s_Separator."EstadoCivil = '".$this->getEstadoCivil()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNivelInstruccion() ) )
            {
                $s_SQLQuery .= $s_Separator."NivelInstruccion = '".$this->getNivelInstruccion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDireccion() ) )
            {
                $s_SQLQuery .= $s_Separator."Direccion = '".$this->getDireccion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCodigoPostal() ) )
            {
                $s_SQLQuery .= $s_Separator."CodigoPostal = '".$this->getCodigoPostal()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProvincia() ) )
            {
                $s_SQLQuery .= $s_Separator."Provincia = '".$this->getProvincia()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDepartamento() ) )
            {
                $s_SQLQuery .= $s_Separator."Departamento = '".$this->getDepartamento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDistrito() ) )
            {
                $s_SQLQuery .= $s_Separator."Distrito = '".$this->getDistrito()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTelefono() ) )
            {
                $s_SQLQuery .= $s_Separator."Telefono = '".$this->getTelefono()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCelular() ) )
            {
                $s_SQLQuery .= $s_Separator."Celular = '".$this->getCelular()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEmail() ) )
            {
                $s_SQLQuery .= $s_Separator."Email = '".$this->getEmail()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDireccionWeb() ) )
            {
                $s_SQLQuery .= $s_Separator."DireccionWeb = '".$this->getDireccionWeb()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFax() ) )
            {
                $s_SQLQuery .= $s_Separator."Fax = '".$this->getFax()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoIdentidad() ) )
            {
                $s_SQLQuery .= $s_Separator."DocumentoIdentidad = '".$this->getDocumentoIdentidad()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCarnetExtranjeria() ) )
            {
                $s_SQLQuery .= $s_Separator."CarnetExtranjeria = '".$this->getCarnetExtranjeria()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoMilitarFA() ) )
            {
                $s_SQLQuery .= $s_Separator."DocumentoMilitarFA = '".$this->getDocumentoMilitarFA()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoBrevete() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoBrevete = '".$this->getTipoBrevete()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getBrevete() ) )
            {
                $s_SQLQuery .= $s_Separator."Brevete = '".$this->getBrevete()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPasaporte() ) )
            {
                $s_SQLQuery .= $s_Separator."Pasaporte = '".$this->getPasaporte()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEsAgenteRetenedor() ) )
            {
                $s_SQLQuery .= $s_Separator."EsAgenteRetenedor = ".$this->getEsAgenteRetenedor()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdRetencion() ) )
            {
                $s_SQLQuery .= $s_Separator."IdRetencion = ".$this->getIdRetencion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUsuario() ) )
            {
                $s_SQLQuery .= $s_Separator."IdUsuario = '".$this->getIdUsuario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorGuiasFlag() ) )
            {
                $s_SQLQuery .= $s_Separator."ProveedorGuiasFlag = '".$this->getProveedorGuiasFlag()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEmpleadoVendedorFlag() ) )
            {
                $s_SQLQuery .= $s_Separator."EmpleadoVendedorFlag = '".$this->getEmpleadoVendedorFlag()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  IdPersona = ".$this->getIdPersona().";";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM MST_PersonaMast WHERE  IdPersona = ".$this->getIdPersona().";";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        return true;
    }

}
?>